Skip to main content
GET
/
networks
/
custom
/
caps
/
{settingId}
Get Custom Cap by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/custom/caps/{settingId} \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/custom/caps/{settingId}"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/custom/caps/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_custom_cap_setting_id": 1,
  "network_id": 1,
  "network_affiliate_id": 28,
  "network_offer_id": 33,
  "name": "<string>",
  "daily_conversion_cap": 123,
  "weekly_conversion_cap": 123,
  "monthly_conversion_cap": 123,
  "global_conversion_cap": 123,
  "daily_payout_cap": 123,
  "weekly_payout_cap": 123,
  "monthly_payout_cap": 123,
  "global_payout_cap": 123,
  "daily_click_cap": 123,
  "weekly_click_cap": 123,
  "monthly_click_cap": 123,
  "global_click_cap": 123,
  "daily_revenue_cap": 123,
  "weekly_revenue_cap": 123,
  "monthly_revenue_cap": 123,
  "global_revenue_cap": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "is_soft_cap": true,
  "relationship": {
    "affiliate": {
      "network_affiliate_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>"
    },
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    }
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom cap setting identifier.

Response

200 - application/json
network_custom_cap_setting_id
integer

Unique custom cap setting ID.

Example:

1

network_id
integer

Network ID.

Example:

1

network_affiliate_id
integer

The affiliate ID.

Example:

28

network_offer_id
integer

The offer ID.

Example:

33

name
string

The custom cap setting name.

daily_conversion_cap
integer

The daily conversion cap (0 for unlimited).

weekly_conversion_cap
integer

The weekly conversion cap (0 for unlimited).

monthly_conversion_cap
integer

The monthly conversion cap (0 for unlimited).

global_conversion_cap
integer

The global conversion cap (0 for unlimited).

daily_payout_cap
number<double>

The daily payout cap (0 for unlimited).

weekly_payout_cap
number<double>

The weekly payout cap (0 for unlimited).

monthly_payout_cap
number<double>

The monthly payout cap (0 for unlimited).

global_payout_cap
number<double>

The global payout cap (0 for unlimited).

daily_click_cap
integer

The daily click cap (0 for unlimited).

weekly_click_cap
integer

The weekly click cap (0 for unlimited).

monthly_click_cap
integer

The monthly click cap (0 for unlimited).

global_click_cap
integer

The global click cap (0 for unlimited).

daily_revenue_cap
number<double>

The daily revenue cap (0 for unlimited).

weekly_revenue_cap
number<double>

The weekly revenue cap (0 for unlimited).

monthly_revenue_cap
number<double>

The monthly revenue cap (0 for unlimited).

global_revenue_cap
number<double>

The global revenue cap (0 for unlimited).

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

is_soft_cap
boolean

Whether this is a soft cap (allows conversions beyond the cap limit).

relationship
object